dc x.300, x.12		! asem.direktiva: 6.-ti ulaz u
! IVT = x.300 (za IVTP=C)
dc x.400, x.13		! asem.direktiva: 7.-i ulaz u
! IVT = x.400 (za IVTP=C)
dc x.500, x.14		! asem.direktiva: 8.-i ulaz u
! IVT = x.500 (za IVTP=C)
org = x.100		! asem.direktiva: adresa od koje se u 
! memoriji smešta glavni program
intd	! FC08	! zabrana prekida
ldimm x.6, r1	! F301 0006	! r1 = vrednost broja ulaza
stmem x.F102, r1	! F601 F102	! KP1.1(IER) = r1
ldimm x.F, r1	! F301 000F	! r1 = vrednost namenjena KP1.1(CR)za
! startovanje KP1.1 
! (1111 - nivo_intr,
! start_bit, koristi_se_prekid, ulaz)
stmem x.F100, r1	! F601 F100	! KP1.1(CR) = r1 (startovanje KP1.1)
ldimm x.7, r1	! F301 0007	! r1 = vrednost broja ulaza
stmem x.F202, r1	! F601 F202	! KP2.1(IER) = r1
ldimm x.F, r1	! F301 000F	! r1 = vrednost namenjena KP2.1(CR)
! za startovanje KP2.1 (1111 - nivo_intr,
! start_bit, koristi_se_prekid, ulaz)
stmem x.F200, r1	! F601 F200	! KP2.1(CR) = r1 (startovanje KP2.1)
ldimm x.8, r1	! F301 0007	! r1 = vrednost broja ulaza
stmem x.F002, r1	! F601 F002	! DMA1.1(IER) = r1
ldimm x.3E, r1	! F301 003E	! r1=vrednost namenjena DMA1.1(CR) za
! startovanje DMA1.1(00111110-
! burst_ne,inc_AR1,AR1_se_menja, 
! rezim_rada_po_CR0, nivo_intr,
! start_bit, intr_da, smer_mp)
stmem x.F000, r1	! F601 F000	! DMA1.1(CR) = r1 (startovanje DMA1.1)
ldimm  x.FFE0, r2	! F302 FFE0	! r2 = -(x.20)
clr r3	! F803	! r3 = 0
inte	! FC09	! dozvola za prekide
loop: add r2, r2, r3	! 4223	! r2 = r2 + r3
bleq loop	! 05FE	! za r2 =< 0 ide se na loop
stmem x.0150, r2	! F602 0150	! mem[x.150] = r2
Halt	! FFFE	! zaustavljanje procesora
	End	

